package schedframe.scheduling;

import java.util.HashSet;
import java.util.Map;
import java.util.Set;

import schedframe.resources.units.ResourceUnit;
import schedframe.resources.units.ResourceUnitName;

public class ResourceHistoryItem {

	protected Map<ResourceUnitName, ResourceUnit> usedResources;
	protected Set<String> visitedResources;

	public ResourceHistoryItem(Map<ResourceUnitName, ResourceUnit> usedResources){
		this.usedResources = usedResources;
		this.visitedResources = new HashSet<String>();
	}
	
	public Map<ResourceUnitName, ResourceUnit> getResourceUnits(){
		return usedResources;
	}
	
	public void trackResource(String resName){
		visitedResources.add(resName);
	}
	
	public Set<String> getVisitedResources(){
		return visitedResources;
	}
	
}
